Subject: bug#43700: 28.0.50; Crash creating a second frame

From: Andy Moreton <[email-masked]>
Date: Sat, 3 Oct 2020 18:03:58 +0100

On 03/10/2020 15:32, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Andy Moreton <[email-masked]>
>> Date: Sat, 3 Oct 2020 15:05:29 +0100
>>
>> As another approach, I have tried building a cygwin 64bit emacs (with
>> -O0 and enable_checking) and can reproduce the same problem there.
> 
> If you could modify your recipe to avoid using use-package (i.e. just
> remap the keys in the Org map as usual), then I could debug this on my
> system, which would be much more efficient (since watchpoints do work
> in my GDB).

After minimising my init.el and macroexpanding to get rid of 
use-package, I now have a minimal recipe to reproduce the problem.
Run:
     emacs -Q --load bug43700.el

--[bug43700.el]-------------------------------------------------
(custom-set-faces
  '(default
     ((((class color)) :font "DejaVu Sans Mono-9"))))

(custom-set-faces
  '(fixed-pitch
    ((((class color)) :font "DejaVu Sans Mono-9"))))

(custom-set-faces
  '(variable-pitch
    ((((class color)) :font "Liberation Sans-11"))))

(require 'org)
(eval-after-load 'org
   '(define-key org-mode-map [remap org-archive-subtree] #'ignore))

(find-file "~/foo.org") ; Create org buffer (file need not exist)
(make-frame)
--[end bug43700.el]---------------------------------------------

My Windows 10 system has:
  - version 2.37   of Deja Vu Sans Mono
  - version 2.00.1 of Liberation Mono

Hopefully you can reproduce this issue.

     AndyM